/*
 * This file is part of the Origin-World game client.
 * Copyright (C) 2012 Arkadiy Fattakhov <ark@ark.su>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package a1.utils;

import a1.utils.PNGDecoder.Format;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.nio.ByteBuffer;

public class IconLoader {
	static public ByteBuffer LoadIconFromPNG(String file_name) throws IOException {
		FileInputStream in = new FileInputStream(file_name);
		return LoadIconFromPNG(in);
	}
	
	static public ByteBuffer LoadIconFromPNG(InputStream in) throws IOException {
		PNGDecoder decoder = new PNGDecoder(in);
		
		ByteBuffer buf = ByteBuffer.allocateDirect(4*decoder.getWidth()*decoder.getHeight()); 
		decoder.decode(buf, decoder.getWidth()*4, Format.RGBA); 
		buf.flip();
		return buf;
	}
	
}
